#!/usr/local/bin/perl -w
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#
use strict;
my $evfile = $ARGV[0];
my @minmax;
#
# Finds the minimum and maximum values of X and Y
#
   system("fstatistic infile=$evfile colname='X' rows='-' outfile=delminmax clobber=yes") == 0 or SAS::error("NoFtools","Couldn't run fstatistic");
   chomp($minmax[0]=`pget fstatistic min`);
   chomp($minmax[1]=`pget fstatistic max`);

   system("fstatistic infile=$evfile colname='Y' rows='-' outfile=delminmax clobber=yes") == 0 or SAS::error("NoFtools","Couldn't run fstatistic");
   chomp($minmax[2]=`pget fstatistic min`);
   chomp($minmax[3]=`pget fstatistic max`);

print "@minmax \n";
#
exit
