#!/usr/local/bin/perl -w
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#
use strict;
my $infile = $ARGV[0];
my $outfile = $ARGV[1];

open (XLIST, "<$infile") or die (" Can't open file $!\n");
my @xvals = <XLIST>;
my $nrange = 0;
my @xbeg; 
my @xend;

# Loop over each element and extract points where it changes by > 72000
#
$xbeg[0] = $xvals[0];
my $xlast = $xvals[0];

foreach my $x (@xvals) { 
                                                                                
# check if there is a gap of 72000 from the last one
   if ($x > ($xlast + 72000.)) {
#
      ++$nrange;
      $xbeg[$nrange] = $x;
      $xend[$nrange-1] = $xlast;

   }
   $xlast = $x;
}
$xend[$nrange] = $xlast;

#
# Output results
#
open (OLIST, ">$outfile") or die (" Can't open file $!\n");
#
for (my $xr = 0; $xr <= $nrange; $xr++) {
 printf OLIST "%d %d\n",$xbeg[$xr],$xend[$xr];
}

exit;
