#!/usr/bin/env python
# 
# ESA (C) 2000-2021
# 
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.


import pysas.eslewchain.eslewchain as eslewchain
import pysas.eslewchain.eslewchainTime as eslewchainTime

# eslewchainTime

def test_MRT_to_MJD():
    c_time = round(eslewchainTime.MRT_to_MJD(40000), 5)
    assert c_time == 50814.46223

    
def test_add_leap_seconds():
    c_time = eslewchainTime.add_leap_seconds(57000)
    c_time = round(c_time, 5)
    assert c_time == 57000.00005


def test_rejig_attitude():
    #eslewchain.rejig_attitude('ep.ds')
    assert True


def test_eslewchain_general():
    dict_info = dict()
    dict_info.update({'withpng' : 'yes'})
    #eslewchain.run(dict_info)
    assert True
